> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# アプリケーションのメタ情報を取得

> このアプリケーションのメタデータ（ツールアイコンやその他の設定詳細）を取得します。



## OpenAPI

````yaml /ja/api-reference/openapi_completion.json get /meta
openapi: 3.0.1
info:
  title: Completion アプリ API
  description: テキスト生成アプリケーションはセッションなしで動作し、翻訳、記事作成、要約 AI などに最適です。
  version: 1.0.0
servers:
  - url: https://{api_base_url}
    description: テキスト生成アプリ API のベース URL です。セルフホスト環境では、独自の API ベース URL に置き換えてください。
    variables:
      api_base_url:
        default: api.dify.ai/v1
        description: API ベース URL のホストとパス（`https://` を除く）。
security:
  - ApiKeyAuth: []
tags:
  - name: 完了メッセージ
    description: テキスト生成に関連する操作です。
  - name: ファイル操作
    description: ファイル管理に関連する操作です。
  - name: エンドユーザー
    description: エンドユーザー情報に関連する操作です。
  - name: メッセージフィードバック
    description: ユーザーフィードバックに関連する操作です。
  - name: 音声・テキスト変換
    description: テキスト読み上げと音声認識に関連する操作です。
  - name: アプリケーション設定
    description: アプリケーション設定と情報を取得する操作です。
paths:
  /meta:
    get:
      tags:
        - アプリケーション設定
      summary: アプリケーションのメタ情報を取得
      description: このアプリケーションのメタデータ（ツールアイコンやその他の設定詳細）を取得します。
      operationId: getCompletionAppMetaJa
      responses:
        '200':
          description: アプリケーションのメタ情報を正常に取得しました。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppMetaResponse'
              examples:
                appMeta:
                  summary: レスポンス例
                  value:
                    tool_icons:
                      dalle3: https://example.com/icons/dalle3.png
                      calculator:
                        background: '#4A90D9'
                        content: 🧮
components:
  schemas:
    AppMetaResponse:
      type: object
      properties:
        tool_icons:
          type: object
          additionalProperties:
            oneOf:
              - title: Icon URL
                type: string
                format: url
                description: アイコンの URL。
              - $ref: '#/components/schemas/ToolIconDetail'
          description: ツールアイコン。キーはツール名です。
    ToolIconDetail:
      title: Emoji Icon
      type: object
      description: 絵文字を使用したツールアイコンの詳細。
      properties:
        background:
          type: string
          description: 16進数形式の背景色。
        content:
          type: string
          description: Emoji コンテンツ。
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API_KEY
      description: >-
        API Key 認証です。すべての API リクエストにおいて、`Authorization` HTTP ヘッダーに `Bearer `
        プレフィックスを付けた API Key を含めてください。例：`Authorization: Bearer {API_KEY}`。**API
        Key はサーバーサイドに保存し、クライアントサイドで共有・保存しないことを強く推奨します。API Key
        の漏洩は深刻な結果につながる可能性があります。**

````